姬長信(Redy)

是什么原因导致Eclipse中的导入Maven项目默认…


我导入了一个Maven项目,它使用了Java 1.5,尽管我已经将1.6配置为我的Eclipse默认Preferences-> Java-> Installed JREs.

当我将Maven项目更改为使用1.6 JRE时,它仍然存在从项目使用Java 1.5时遗留的构建错误(我之前在I have build errors with m2eclipse but not with maven2 on the command line – is my m2eclipse misconfigured?中描述了这些构建错误)

我要删除该项目并再次尝试,但我想确保这次它从一开始就使用Java 1.6,看看这是否消除了构建问题.

如何在导入项目时确保项目使用Java 1.6?